org.keycloak.protocol.oidc.mappers

## Class DeployedScriptOIDCProtocolMapper

- java.lang.Object
- - org.keycloak.protocol.oidc.mappers.AbstractOIDCProtocolMapper
  - - org.keycloak.protocol.oidc.mappers.ScriptBasedOIDCProtocolMapper
    - - org.keycloak.protocol.oidc.mappers.DeployedScriptOIDCProtocolMapper

- All Implemented Interfaces:
    OIDCAccessTokenMapper, OIDCAccessTokenResponseMapper, OIDCIDTokenMapper, UserInfoTokenMapper, ProtocolMapper, ConfiguredProvider, EnvironmentDependentProviderFactory, Provider, ProviderFactory<ProtocolMapper>

      public class DeployedScriptOIDCProtocolMapper
      extends ScriptBasedOIDCProtocolMapper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ScriptProviderMetadata` | `metadata`

    - ### Fields inherited from class org.keycloak.protocol.oidc.mappers.ScriptBasedOIDCProtocolMapper

      `PROVIDER_ID, SCRIPT`

    - ### Fields inherited from class org.keycloak.protocol.oidc.mappers.AbstractOIDCProtocolMapper

      `TOKEN_MAPPER_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeployedScriptOIDCProtocolMapper()`
    `DeployedScriptOIDCProtocolMapper(ScriptProviderMetadata metadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getDisplayType()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `ScriptProviderMetadata` | `getMetadata()`
    `protected String` | `getScriptCode(ProtocolMapperModel mapperModel)`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `boolean` | `isSupported()`
    `void` | `setMetadata(ScriptProviderMetadata metadata)`

    - ### Methods inherited from class org.keycloak.protocol.oidc.mappers.ScriptBasedOIDCProtocolMapper

      `create, getDisplayCategory, getPriority, setClaim, setClaim, validateConfig`

    - ### Methods inherited from class org.keycloak.protocol.oidc.mappers.AbstractOIDCProtocolMapper

      `close, create, getProtocol, postInit, setClaim, transformAccessToken, transformAccessTokenResponse, transformIDToken, transformUserInfoToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.oidc.mappers.OIDCAccessTokenMapper

      `transformAccessToken`

    - ### Methods inherited from interface org.keycloak.protocol.oidc.mappers.OIDCIDTokenMapper

      `transformIDToken`

    - ### Methods inherited from interface org.keycloak.protocol.oidc.mappers.UserInfoTokenMapper

      `transformUserInfoToken`

    - ### Methods inherited from interface org.keycloak.protocol.oidc.mappers.OIDCAccessTokenResponseMapper

      `transformAccessTokenResponse`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### metadata

          protected ScriptProviderMetadata metadata

  - ### Constructor Detail

    - #### DeployedScriptOIDCProtocolMapper

          public DeployedScriptOIDCProtocolMapper(ScriptProviderMetadata metadata)

    - #### DeployedScriptOIDCProtocolMapper

          public DeployedScriptOIDCProtocolMapper()

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ProtocolMapper>`
      Overrides:
        `getId` in class `ScriptBasedOIDCProtocolMapper`

    - #### getDisplayType

          public String getDisplayType()

      Specified by:
        `getDisplayType` in interface `ProtocolMapper`
      Overrides:
        `getDisplayType` in class `ScriptBasedOIDCProtocolMapper`

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`
      Overrides:
        `getHelpText` in class `ScriptBasedOIDCProtocolMapper`

    - #### getScriptCode

          protected String getScriptCode(ProtocolMapperModel mapperModel)

      Overrides:
        `getScriptCode` in class `ScriptBasedOIDCProtocolMapper`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ProtocolMapper>`
      Overrides:
        `init` in class `AbstractOIDCProtocolMapper`

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`
      Overrides:
        `getConfigProperties` in class `ScriptBasedOIDCProtocolMapper`

    - #### isSupported

          public boolean isSupported()

      Specified by:
        `isSupported` in interface `EnvironmentDependentProviderFactory`
      Overrides:
        `isSupported` in class `ScriptBasedOIDCProtocolMapper`
      Returns:
        `true` if the provider is supported and should be available, `false` otherwise

    - #### setMetadata

          public void setMetadata(ScriptProviderMetadata metadata)

    - #### getMetadata

          public ScriptProviderMetadata getMetadata()

Copyright © 2021 JBoss by Red Hat. All rights reserved.